require 'sketchup.rb'
require 'extensions.rb'
module CURIC
	module BEHAVIOR
		PLUGIN      = self
		PLUGIN_NAME     = 'Curic Behavior'.freeze
		PLUGIN_VERSION  = '1.0.1'.freeze
		unless file_loaded?( __FILE__ )
			ex = SketchupExtension.new( PLUGIN_NAME, 'curic_behavior/main' )
			ex.version     = PLUGIN_VERSION
			ex.copyright   = 'Vo Quoc Hai © 2017–2020'
			ex.creator     = 'Vo Quoc Hai (voquochai94@gmail.com, curic4su@gmail)'
			Sketchup.register_extension( ex, true )
		end
	end
end
file_loaded( __FILE__ )
